<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="css/app.css">
	<title>Blurt Account Recovery - Request Recovery</title>
</head>

<body>
	<div class="container pt-3">
		<a href="./">
			<h1 class="text-center">Blurt Account Recovery</h1>
		</a>
		<hr>
		<h2 class="text-center mb-5">Request Recovery</h2>

		<div class="row">
			<div class="offset-md-2 col-md-8">

				<form id="create-recovery-request" class="mt-5 mb-5" method="POST">
					<div class="alert" id="alert-create-recovery"></div>

					<div class="form-group">
						<label for="trustee-atr" class="control-label">Account To Recover</label>
						<input type="text" name="trustee-atr" id="trustee-atr" class="form-control" autocomplete="no"
							required>
						<p class="form-text text-muted">Blurt username of the account that needs recovery.</p>
					</div>

					<div class="form-group">
						<label for="atr-new-key" class="control-label">New Public Owner Key</label>
						<input type="text" name="atr-new-key" id="atr-new-key" class="form-control" autocomplete="no"
							required>
						<p class="form-text text-muted">PUBLIC OWNER KEY for the account that needs recovery provided by the
							real owner of the account.</p>
					</div>

					<div class="form-group">
						<label for="trustee-account" class="control-label">Trustee Account</label>
						<input type="text" name="trustee-account" id="trustee-account" class="form-control" required>
						<p class="form-text text-muted">Blurt username of the trustee account (recovery account).</p>
					</div>

					<div class="form-group">
						<label for="trustee-key" class="control-label">Active Private Key</label>
						<input type="password" name="trustee-key" id="trustee-key" class="form-control">
						<p class="form-text text-muted">PRIVATE ACTIVE KEY of the trustee account (recovery account).
							<strong>Leave it blank to use WhaleVault.</strong>
						</p>
					</div>

					<button class="btn btn-success btn-block">Submit Recovery Request</button>
				</form>
			</div>
		</div>

		<hr>
        <p class="text-center">
            Adapted for Blurt by <a href="https://blurt.blog/@tekraze">@tekraze</a>. Vote for <a href="https://blurtwallet.com/~witnesses?highlight=tekraze">@tekraze as witness</a>.
        </p>
        <p class="text-center">
            Forked from Hive Recovery tool by <a href="https://hive.blog/@reazuliqbal">@reazuliqbal</a>
        </p>
	</div>
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
		crossorigin="anonymous"></script>
	<script src="https://unpkg.com/@hiveio/dhive@1.1.1/dist/dhive.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/@blurtfoundation/blurtjs/dist/blurt.min.js"></script>
	<script src="js/app.js"></script>
</body>

</html>